<?php
/*
	Plugin Name: Payment by Invoice, Twint, on Pickup for WooCommerce
	Plugin URI: https://berginformatik.ch/plugin/bin-payment-by-invoice-for-woocommerce
	Description: Adds additional payment gateways to WooCommerce: pay by invoice or pay on account, pay by twint and payment on pickup.
	Version: 1.0.4
	Author: Berg Informatik
	Author URI: https://berginformatik.ch
	Text Domain: bin-payment-by-invoice-for-woocommerce
	Domain Path: /languages
*/

if(!defined('ABSPATH')) { exit; }

define('BIN_PAYMENT_BY_INVOICE_FOR_WOOCOMMERCE_VERSION', '1.0.3');
define('BIN_PAYMENT_BY_INVOICE_FOR_WOOCOMMERCE_URL', plugins_url('', __FILE__));
define('BIN_PAYMENT_BY_INVOICE_FOR_WOOCOMMERCE_DIR', dirname(__FILE__));
define('BIN_PAYMENT_BY_INVOICE_FOR_WOOCOMMERCE_DEBUG', false);

// load main class
require_once BIN_PAYMENT_BY_INVOICE_FOR_WOOCOMMERCE_DIR.'/bin-payment-by-invoice-for-woocommerce.main.php';

// Run
add_action('plugins_loaded', 'initBinPaymentByInvoiceForWoocommerce');
function initBinPaymentByInvoiceForWoocommerce()
{
	if(class_exists('WC_Payment_Gateway'))
	{
		require_once BIN_PAYMENT_BY_INVOICE_FOR_WOOCOMMERCE_DIR.'/gateways/payment-by-invoice.php';
		require_once BIN_PAYMENT_BY_INVOICE_FOR_WOOCOMMERCE_DIR.'/gateways/payment-by-twint.php';
		require_once BIN_PAYMENT_BY_INVOICE_FOR_WOOCOMMERCE_DIR.'/gateways/payment-on-pickup.php';
		
		new BinPaymentByInvoiceForWoocommerce;
	}
}